> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get drift scheduler query



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/model/{model_id}/drift-scheduler-query
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model/{model_id}/drift-scheduler-query:
    summary: |
      Returns drift scheduler config for the model.
    parameters:
      - description: Identifier for the model to be updated.
        in: path
        name: model_id
        required: true
        schema:
          type: string
    get:
      tags:
        - ModelDrift
      summary: Get drift scheduler query
      operationId: getDriftSchedulerQuery
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/driftSchedulerQuery'
          description: The drift scheduler query was generated successfully.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    driftSchedulerQuery:
      description: >-
        The scheduler query for a model for getting the drift analysis from raw
        distributions
      properties:
        features:
          description: Algorithm and alert condition for features for the model
          items:
            $ref: '#/components/schemas/featureQuery'
          title: Features
          type: array
        model_id:
          description: Unique identifier of the model for this query
          title: Model Identifier
          type: string
      required:
        - model_id
        - features
      title: Scheduler Query for Drift
      type: object
    featureQuery:
      description: Query config for a feature in a model
      properties:
        alertable:
          description: Whether this feature is alertable for not
          title: Alertable
          type: boolean
        algorithm:
          description: Algorithm function used for the check query
          title: Algorithm
          type: string
        condition:
          $ref: '#/components/schemas/alertCondition'
        id:
          description: Identifier of the feature in a model
          title: Feature Identifier
          type: string
        name:
          description: Name for the model feature
          title: Feature Name
          type: string
        type:
          description: Type of the feature - feature, prediction, row identifier, timestamp
          title: Feature Type
          type: string
        value:
          description: Type of the feature value - categorical or numerical
          title: Feature Value Type
          type: string
      required:
        - id
        - name
        - type
        - value
        - alertable
        - algorithm
        - condition
      title: Feature Query
      type: object
    alertCondition:
      description: Condition at which alert is triggered
      properties:
        lower:
          description: The lower bound for the condition
          title: Lower Bound
          type: number
        operator:
          description: The math operator for the condition, like < or <=.
          title: Math Operator
          type: string
        upper:
          description: The upper bound for the condition
          title: Upper Bound
          type: number
      required:
        - operator
        - lower
        - upper
      title: Alert Condition
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Save scheduler query](/api-reference/modeldrift/save-scheduler-query.md)
- [Get drift user query](/api-reference/modeldrift/get-drift-user-query.md)
- [Get model quality scheduler query](/api-reference/modelquality/get-model-quality-scheduler-query.md)
- [Gets schedule check job for model drift.](/api-reference/scheduler/gets-schedule-check-job-for-model-drift.md)
